android studio编译出错——Failed to resolve: com.android.support:support-v4:22.2.0

原创 2015年08月04日 10:19:23

解决问题两种方式:

第一种:检查版本:platform-tools为22,support library为22, support repository为最新即可



第二种:自己添加jar包

1.首先查看类库libs文件夹下是否有android-support-v4.jar,如果没有,添加进来。


2.打开flle——project structure——dependencies,看看support-v4如图显示 ,右键remove



3.然后从libs下把support-v4加进来: 点击加号——点击2



4. 然后会看到被正常引入,点击apply——稍等——点击ok


相关文章推荐

Android Studio Error:Failed to resolve: com.android.support:appcompat-v7:25.1.0

今天不知道为什么导入eclipse项目后就出现了错误,没导入之前是正常使用AS的 Error:(26, 13) Failed to resolve: com.android.support:appc...

Error:(24, 13) Failed to resolve: com.android.support:recyclerview-v7:20.+ <a href="install.m2.repo"

Android studio   报错    Error:(24, 13) Failed to resolve: com.android.support:recyclerview-v7:20.+ I...

Error:Failed to resolve: com.android.support:appcompat-v7:25.+d

当我新创建一个Android 项目时,提示一个错误如下: 错误提示说没有安装 Repository,然后我通过SDK Manager 下载 Android Support Repository ...

Failed to resolve: com.android.support.fragment_mine.espresso:espresso-core:2.2.2

1. 蛋疼的报错   首先我说下我的情况,在使用android-studio过程中,由于这2.2的as的强大功能,让我们在运行app过程中,通过增加在gradle中的依赖,如图,如果我们修改了代码,可...

Android Studio新建工程Gradle编译报错(com.android.support:appcompat-v7:16.+)

以前的Android开发都是在Eclipse中,其缺点是Eclipse的大而全,对Android来说不够专业,还需要加入插件才可以支持,运行速度慢,调试不方便。为此Google重新研发了针对Andro...

VFY: unable to resolve virtual method : Landroid/support/v4/app/Fragment;.performConfigurationChange

使用24的build-tools和sdk编译的带有fragment的app在4.2.2上运行出现如此警告,开始还以为我设置有问题,最后新建立HelloFragment程序也会报此问题,应该是sdk或者...
  • kangear
  • kangear
  • 2016年08月02日 14:11
  • 3792

【AS】android studio :com.android.support:appcompat-v7:21.+ 报错

android studio :com.android.support:appcompat-v7:21.+ 报错: 在project——>app——>build.gradle修改: ...
  • yybj
  • yybj
  • 2015年11月14日 21:19
  • 1770

cannot convert from android.app.FragmentManager to android.support.v4.app.FragmentManager

vote favorite 1   I am creating an app using Fragments for tablet.I have so far cr...

java.lang.NullPointerException: Attempt to write to field 'int android.support.v4.app.Fragment.mNext

java.lang.NullPointerException: Attempt to write to field 'int android.support.v4.app.Fragment.mNext...

Android studio java.lang.NoClassDefFoundError: android.support.v4.app add multidex

序言 由于要兼容低版本所以AndroidStudio引入了v4包,但是引入的第三方包几乎都报异常java.lang.NoClassDefFoundError:下面是异常之一 08-11 09:35:...
内容举报
返回顶部
收藏助手
不良信息举报
您举报文章:android studio编译出错——Failed to resolve: com.android.support:support-v4:22.2.0
举报原因:
原因补充:

(最多只允许输入30个字)